#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xdg-user-dirs
Version		:	0.17
Release		:	17.0.10.rel%{?dist}
Summary		:	Handles user special directories
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://freedesktop.org/wiki/Software/xdg-user-dirs

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#-----------------------------------------------------------------------------
%description
'%{name}' is a tool to help manage "well known" user directories
like the desktop folder and the music folder. It also handles
localization (i.e. translation) of the filenames.

The way it works is that xdg-user-dirs-update is run very early
in the login phase. This program reads a configuration file, and
a set of default directories. It then creates localized versions
of these directories in the users home directory and sets up a
config file in $(XDG_CONFIG_HOME)/user-dirs.dirs 
XDG_CONFIG_HOME defaults to ~/.config) that applications can read
to find these directories. 

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%files			
%defattr(-, root,root, -)

%doc AUTHORS COPYING README
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_sysconfdir}/xdg/user-dirs.*
%{_bindir}/xdg-user-dir*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
